contrib.url {utils} | R Documentation

## Find Appropriate Paths in CRAN-like Repositories

### Description

`contrib.url` adds the appropriate type-specific path within a repository to each URL in `repos`.

### Usage

    contrib.url(repos, type = getOption("pkgType"))

### Arguments

`repos` | character vector, the base URL(s) of the repositories to use.
`type` | character string, indicating which type of packages: see `install.packages`.

### Details

If `type = "both"` this will use the source repository.

### Value

A character vector of the same length as `repos`.

### See Also

`setRepositories` to set `options("repos")`, the most common value used for argument `repos`.

`available.packages`, `download.packages`, `install.packages`.

The ‘R Installation and Administration’ manual for how to set up a repository.

[Package utils version 3.4.2 Index]